Bug 4084 - Minicom won't run unless run as root
Minicom won't run unless run as root
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: minicom (Show other bugs)
6.0
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-17 02:45 EDT by antonino
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-28 14:34:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description antonino 1999-07-17 02:45:04 EDT
Minicom fails unless it's run with root
privileges. As a normal user it fails to create
the lock file in /var/lock/LCK..modem.

The -o option does not override it. Is this a security
feature?
Comment 1 Jeff Johnson 1999-07-28 14:34:59 EDT
Minicom is shipped without the setgid bit needed to write in
/var/lock in order to minimize security risks. If you do
	chgrp uucp /usr/bin/minicom
	chmod g+s /usr/bin/minicom
then any user (not just root) will be able to create a lock file.

Note You need to log in before you can comment on or make changes to this bug.